extends ../components/layout/layout.pug
include ../components/blocks/order/order.pug
include ../components/blocks/data-table/data-table.pug
include ../components/blocks/report/report-nav/report-nav.pug
include ../components/blocks/report/report-form/report-form.pug
include ../components/layout/right-bar/right-bar.pug
include ../components/blocks/car/car.pug
include ../components/blocks/car/car-edit/car-edit.pug

block vars
    - var htmlclasses = "html_report-edit"

block metaog

block metaseo
    +headMetaSeo(head.main)

block append body
    +right-bar()

block append page
    .section.section_default
        .section__content
            .section__header
                .section__title
                    h1 Редактирование отчёта
            .section__body
                .report-edit
                    .report-edit__nav
                        +report-nav(reportNav1)
                    .report-edit__content
                        form.report-form.report-form_edit
                            .report-form__header
                                h2.report-form__title 1. Общая информация
                            .report-form__body
                                +car_tile
                            .report-form__footer
                                .btn.btn_s.btn_default.report-form__btn-car-change.btn_inline
                                    .btn__grid
                                        .btn__title Сменить автомобиль
                                .report-group.report-group_car-change.mt_l(style="display:none")
                                    h3.report-group__title.mb_s Поиск автомобиля по VIN
                                    .report-car-attachment
                                        .report-car-attachment__field
                                            .car-form__item.car-form__item_vin
                                                .control.control_default.control_m
                                                    input(type="text")
                                        .report-car-attachment__results(style="display:none")
                                            +car_tile(true)
                                            +car_tile(true)
                                            .report-car-attachment__msg.msg.msg_warning.msg_l.ta_center(style="display:none")
                                                p.mb_xs Автомобиль с указанным VIN не найден
                                                .btn.btn_s.btn_default.btn_inline
                                                    .btn__title Добавить автомобиль
                                        script.

                                            $(".report-form__btn-car-change").on("click", function () {
                                                $('.report-group_car-change').show();
                                            });
                                            $(".car__btn-chose").on("click", function () {
                                                $(this).closest('.car').toggleClass('car_active');
                                            });
                                            $(".report-car-attachment__msg .btn").on("click", function () {
                                                $(".report-group_car-add").show();
                                            });
                                            $(".report-car-attachment__field input").on("keyup", function () {
                                                $(".report-car-attachment__results").show();
                                                if ($(this).val() === "1") {
                                                    $(".report-car-attachment__results .car").show();
                                                    $(".report-car-attachment__msg").hide();
                                                } else {
                                                    $(".report-car-attachment__results .car").hide();
                                                    $(".report-car-attachment__msg").show();
                                                }
                                            });
                            .report-form__footer
                                button.btn.btn_m.btn_primary
                                    .btn__grid
                                        .btn__title Сохранить
